﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShoeStore.Entities;

public class ShoesReplenishment
{
    public int Id { get; private set; }
    public int FactorysId { get; private set; }
    public DateTime DateReceipt { get; private set; }
    public IEnumerable<ShoesShoesReplenishment> ShoesShoesReplenishments
    {
        get;
        private set;
    } = [];
    public static ShoesReplenishment CreateOpeartion(int id, int factoryId,
    IEnumerable<ShoesShoesReplenishment> shoesShoesReplenishments)
    {
        return new ShoesReplenishment
        {
            Id = id,
            FactorysId = factoryId,
            DateReceipt = DateTime.Now,
            ShoesShoesReplenishments = shoesShoesReplenishments
        };
    }
}
